# Installation
    npm i bittrex-node-api --save

# Bittrex V3 Rest Api Node

    const Bittrex = require('bittrex-node-api');

# Reference
     https://bittrex.github.io/api/v3


# Usage


# account 
Retrieve information for the account associated with the request. For now, it only echoes the subaccount if one was specified in the header, which can be used to verify that one is operating on the intended account. More fields will be added later.

    Bittrex.account('apikey', 'secretkey', 'subaccountid');

# accountVolume
Get 30 day volume for account


    Bittrex.accountVolume('apikey', 'secretkey', 'subaccountid');


# addresses
List deposit addresses that have been requested or provisioned.

    Bittrex.addresses('apikey', 'secretkey', 'subaccountid');

# address
Retrieve the status of the deposit address for a particular currency for which one has been requested or provisioned.

    Bittrex.address('apikey', 'secretkey', 'subaccountid', 'NEO');

# newaddress
Request provisioning of a deposit address for a currency for which no address has been requested or provisioned.


    Bittrex.newaddress('apikey', 'secretkey', 'subaccountid', 'NEO');

# balances
List account balances across available currencies. Returns a Balance entry for each currency for which there is either a balance or an address.

    Bittrex.balances('apikey', 'secretkey', 'subaccountid');

# balance
Retrieve account balance for a specific currency. Request will always succeed when the currency exists, regardless of whether there is a balance or address.

    Bittrex.balance('apikey', 'secretkey', 'subaccountid', 'EOS');

# currencies
List currencies.

    Bittrex.currencies('apikey', 'secretkey', 'subaccountid');

# currency
Retrieve info on a specified currency.

    Bittrex.currency('apikey', 'secretkey', 'subaccountid','EOS');

# openDeposits
List open deposits. Results are sorted in inverse order of UpdatedAt, and are limited to the first 1000.

    Bittrex.openDeposits('apikey', 'secretkey', 'subaccountid');

# closedDeposits
List closed deposits. StartDate and EndDate filters apply to the CompletedAt field. Pagination and the sort order of the results are in inverse order of the CompletedAt field.

    Bittrex.closedDeposits('apikey', 'secretkey', 'subaccountid');

# depositId
Retrieve information for a specific deposit.

    Bittrex.depositId('apikey', 'secretkey', 'subaccountid','3c28cb3b2-7531c-47d35-ba739-98633ea24c3e53');

#  depositByTxId
Retrieves all deposits for this account with the given TxId

    Bittrex.depositId('apikey', 'secretkey', 'subaccountid','3c28cb3b2-7531c-47d35-ba739-98633ea24c3e53');

# markets
List markets.

    Bittrex.markets('apikey', 'secretkey', 'subaccountid');

# marketSummaries
List summaries of the last 24 hours of activity for all markets. ** Note: baseVolume is being deprecated and will be removed in favor of quoteVolume

    Bittrex.marketSummaries('apikey', 'secretkey', 'subaccountid');

# marketTickers
List tickers for all markets.

    Bittrex.marketTickers('apikey', 'secretkey', 'subaccountid');

# marketBySymbol
Retrieve information for a specific market.

    Bittrex.marketBySymbol('apikey', 'secretkey', 'subaccountid','VDX-BTC');

# marketSymbolSummary
Retrieve summary of the last 24 hours of activity for a specific market. ** Note: baseVolume is being deprecated and will be removed in favor of quoteVolume

    Bittrex.marketSymbolSummary('apikey', 'secretkey', 'subaccountid','VDX-BTC');

# marketSymbolOrderbook
Retrieve the order book for a specific market.

    Bittrex.marketSymbolOrderbook('apikey', 'secretkey', 'subaccountid','VDX-BTC');

# marketSymbolTrades
Retrieve the recent trades for a specific market.

    Bittrex.marketSymbolTrades('apikey', 'secretkey', 'subaccountid','VDX-BTC');

# marketSymbolTicker
Retrieve the ticker for a specific market.


    Bittrex.marketSymbolTicker('apikey', 'secretkey', 'subaccountid','VDX-BTC');

# closedOrder
List closed orders.
StartDate and EndDate filters apply to the ClosedAt field. Pagination and the sort order of the results are in inverse order of the ClosedAt field.

    Bittrex.closedOrder('apikey', 'secretkey', 'subaccountid');

# openOrder
List open orders.

    Bittrex.openOrder('apikey', 'secretkey', 'subaccountid');

# orderId
Retrieve information on a specific order.

    Bittrex.orderId('apikey', 'secretkey', 'subaccountid','d9ea4452-3dd6c-34bea-8803b-acbfe1b3c552');

# deleteOrder
Cancel an order.

    Bittrex.deleteOrder('apikey', 'secretkey', 'subaccountid','d9ea34452-dd63c-43bea-8830b-acb3e1b3c552');

# newOrder
Create a new order.

    Bittrex.newOrder('apikey','secretkey','subaccountid','XRP-BTC','SELL','MARKET','IMMEDIATE_OR_CANCEL','20');

# subaccounts
List subaccounts. 

    Bittrex.subaccounts('apikey', 'secretkey', 'subaccountid');

# subaccounts
Create a new subaccount.

    Bittrex.subaccounts('apikey', 'secretkey', 'subaccountid');

# sentTransfers
List sent transfers.

    Bittrex.sentTransfers('apikey', 'secretkey', 'subaccountid');

# receivedTransfers
List received transfers.

    Bittrex.receivedTransfers('apikey', 'secretkey', 'subaccountid');

# transfersById
Retrieve information on the specified transfer.

    Bittrex.transfersById('apikey', 'secretkey', 'subaccountid');

# newTransfer
Executes a new transfer.

    Bittrex.newTransfer('apikey', 'secretkey', 'subaccountid');

# openWithdrawals
List open withdrawals. Results are sorted in inverse order of the CreatedAt field, and are limited to the first 1000.


    Bittrex.openWithdrawals('apikey', 'secretkey', 'subaccountid');

# closedWithdrawals
List closed withdrawals. StartDate and EndDate filters apply to the CompletedAt field. Pagination and the sort order of the results are in inverse order of the CompletedAt field.

    Bittrex.closedWithdrawals('apikey', 'secretkey', 'subaccountid');

# withdrawalByTxId
Retrieves all withdrawals for this account with the given TxId



    Bittrex.withdrawalByTxId('apikey', 'secretkey', 'subaccountid','1B84B06CFD5A80F407CF034A3A00E89374FBB5F29B32F8850321C51E36180B80B3EC9');

# withdrawalById
Retrieve information on a specified withdrawal.

    Bittrex.withdrawalById('apikey', 'secretkey', 'subaccountid','6f9ab7fa-e83d1-4ae0-9b88-53db239c53eebd');

# deleteWithdrawals
Cancel a withdrawal.

    Bittrex.deleteWithdrawals('apikey', 'secretkey', 'subaccountid','6f9ab73fa-e38d1-4ae30-9b838-53db329c5eebd');

# newWithdraw
Create a new withdrawal.

    Bittrex.newWithdraw('apikey', 'secretkey', 'subaccountid', 'XRP', 20, 'rEb8T3K3wegBewgk35auZkeww3c6sHewn3wrGVewJH8Dew3ua3Lh', '103333157');


# Copyright

Copyright © 2020 naveenedi